#include "settingsdialog.h"

SettingsDialog::SettingsDialog(QWidget *parent) :
    QWidget(parent)
{
    QHBoxLayout *layout = new QHBoxLayout();
    for (int i= 0; i < LAYERS_NUMBER; i++ ) {
       layout->insertWidget(i, new SettingsLayerWidget(this, tr("Layer %1").arg(i)));
     }
    setLayout(layout);
}

// Change Media path
void SettingsDialog::ChangeMediaPath()
{
    QFileDialog dialog(this);
    dialog.setFileMode(QFileDialog::Directory);
    QStringList fileNames;
    if (!dialog.exec())
        return;
    fileNames = dialog.selectedFiles();
    QString file = fileNames.at(0);
//    MediaLibrary::getInstance()->setPath(file);
    QString desc = tr("Media Path Changed to: %1").arg(file);
    qDebug(desc.toLatin1().constData());
}

void SettingsDialog::olasetup()
{
    QWebView *view = new QWebView();
    view->load(QUrl("http://localhost:9090/ola.html"));
    view->show();
}


SettingsLayerWidget::SettingsLayerWidget(QWidget *parent, QString title)
{


}

