#ifndef AUDIOMASTERWIDGET_H
#define AUDIOMASTERWIDGET_H

#include <QtGui>
#include <QLabel>
#include <QSlider>
#include <QCheckBox>
#include <QGroupBox>

//#include "ui_audiomasterwidget.h"

/*
namespace Ui {
class AudioMasterWidget;
}*/

class AudioMasterWidget : public QGroupBox //, public Ui::AudioMasterWidget
{
    Q_OBJECT

public:
    AudioMasterWidget(QWidget *parent);

    ~AudioMasterWidget();

public slots:
    void updateWatchDMX();

private:
    QLabel *m_file;
    QLabel *m_folder;
    QSlider *m_vol;
    QCheckBox *m_mute;
    QLabel *m_status;
    QCheckBox *m_receiveDMX;
    QTimer *m_watchDMX;

private slots:
   void watchDMXExpired();


};

#endif // AUDIOMASTERWIDGET_H
