#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QWidget>
#include "defines.h"
#include <QHBoxLayout>
#include <QComboBox>
#include <QLabel>
#include <QPushButton>
#include <QCheckBox>
#include <QWebView>
#include <QFileDialog>

#include "medialibrary.h"

class SettingsDialog : public QWidget
{
    Q_OBJECT
public:
    explicit SettingsDialog(QWidget *parent = 0);

    void ChangeMediaPath();
    void olasetup();
signals:

public slots:

private:
    QLabel m_path;
    QPushButton m_changePathToMedias;
    QPushButton m_olaSetup;
};

class SettingsLayerWidget : public QWidget
{
    Q_OBJECT
   public:
    explicit SettingsLayerWidget(QWidget *parent = 0, QString title = "layer");

private:
       QComboBox m_universe;
       QComboBox m_address;
signals:
};

#endif // SETTINGSDIALOG_H
